com.fasterxml.jackson.databind.deser.std

## Class JdkDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.JdkDeserializers

    public class JdkDeserializers
    extends Object

### Nested Class Summary

Nested Classes
`static class` `JdkDeserializers.AtomicBooleanDeserializer`
`static class` `JdkDeserializers.AtomicReferenceDeserializer`
`protected static class` `JdkDeserializers.CharsetDeserializer`
`static class` `JdkDeserializers.CurrencyDeserializer`
`protected static class` `JdkDeserializers.InetAddressDeserializer` As per [JACKSON-484], also need special handling for InetAddress...
`protected static class` `JdkDeserializers.LocaleDeserializer` Kept protected as it's not meant to be extensible at this point
`static class` `JdkDeserializers.PatternDeserializer`
`static class` `JdkDeserializers.StackTraceElementDeserializer`
`static class` `JdkDeserializers.URIDeserializer`
`static class` `JdkDeserializers.URLDeserializer`
`static class` `JdkDeserializers.UUIDDeserializer` Note: final as performance optimization: not expected to need sub-classing; if sub-classing was needed could re-factor into reusable part, final "Impl" sub-class

### Constructor Summary

Constructors
Constructor and Description
`JdkDeserializers()`

### Method Summary

Methods
`static StdDeserializer<?>[]` `all()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkDeserializers

    public JdkDeserializers()

### Method Detail

#### all

    public static StdDeserializer<?>[] all()